<< hanning | FOSSEE_Signal_Processing_Toolbox | hurst >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > hilbert1

# hilbert1

Compute the analytic extension of a real-valued signal.

### Syntax

    h = hilbert1(f)
    h = hilbert1(f, N)
    h = hilbert1(f, N, dim)

### Parameters

f :

  real-valued input signal. Can be a vector, matrix, or N-D array.

N :

  (optional) length of the Hilbert transform. Must be a positive integer.

dim :

  (optional) dimension along which the Hilbert transform is applied. Must be a scalar.

### Description

Compute the analytic extension of a real-valued signal.

- h = hilbert1(f) computes the analytic signal of the real-valued input signal f. If f is a matrix, the transformation is applied to each column. For N-D arrays, the transformation is applied to the first non-singleton dimension. - real(h) contains the original signal f. - imag(h) contains the Hilbert transform of f. - hilbert1(f, N) computes the Hilbert transform with a length N. The result will also have length N. - hilbert1(f, [], dim) or hilbert1(f, N, dim) applies the transformation along the specified dimension.

### See also

- fft1 — Calculates the discrete Fourier transform of a matrix using Fast Fourier Transform algorithm.
- ifft1 — Compute the inverse discrete Fourier transform.
- ipermute — Inverse of the permute function.

### Examples

    // The magnitude of the Hilbert transform eliminates the carrier
    t = linspace(0, 10, 1024);
    x = 5 * cos(0.2 * t) .* sin(100 * t);
    plot(t, x, t, abs(hilbert1(x)));

Report an issue
<< hanning | FOSSEE_Signal_Processing_Toolbox | hurst >>